Search documentation of stripe_elixir

# StripeElixir.Resources.Mandate (stripe_elixir v0.1.0)

Copy Markdown View Source

Mandate

A Mandate is a record of the permission that your customer gives you to debit their payment method.

## Summary

### Types

t()

### Functions

expandable_fields()
object_name()

## Types

# t()

    @type t() :: %StripeElixir.Resources.Mandate{
      customer_acceptance: map(),
      id: String.t(),
      livemode: boolean(),
      multi_use: map() | nil,
      object: String.t(),
      on_behalf_of: String.t() | nil,
      payment_method: String.t() | map(),
      payment_method_details: map(),
      single_use: map() | nil,
      status: String.t(),
      type: String.t()
    }

- `customer_acceptance` - Expandable.
- `id` - Unique identifier for the object. Max length: 5000.
- `livemode` - Has the value `true` if the object exists in live mode or the value `false` if the object exists in test mode.
- `multi_use` - Expandable.
- `object` - String representing the object's type. Objects of the same type share the same value. Possible values: `mandate`.
- `on_behalf_of` - The account (if any) that the mandate is intended for. Max length: 5000.
- `payment_method` - ID of the payment method associated with this mandate. Expandable.
- `payment_method_details` - Expandable.
- `single_use` - Expandable.
- `status` - The mandate status indicates whether or not you can use it to initiate a payment. Possible values: `active`, `inactive`, `pending`.
- `type` - The type of the mandate. Possible values: `multi_use`, `single_use`.

## Functions

# expandable_fields()

# object_name()